<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <h1>Block Scoped Variables</h1>

    <script>
        if (true) {
            let slogan = "Học lập trình ReactJS DevCamp2021";
        }
        alert(slogan);
        //Output:
    // Biển fruit 2 và fruit 3 lỗi vì là block scopes và nằm ngoài pham vi chứa biến.
        // Biển slogan lỗi vì  là biến block scoped và nằm ngoài pham vi chứa biến.
    </script>
</body>

</html>